import { Style } from '../system/platform/Style';
import { MeasureTextFunction } from '../text';
import { Dict } from '../types/Dict';
import { IOElement } from './IOElement';
import { LayoutNode } from './LayoutNode';
export declare function cssTextToObj(cssText: string): Dict<string>;
export declare function objToCssText(obj: Dict<string>): string;
export declare function rawExtractStyle(element: IOElement, trait: LayoutNode, measureText: MeasureTextFunction): Style;
